Percona Server with XtraDB

Activity log for bug #1008278

Date Who What changed Old value New value Message
2012-06-04 00:42:32 Jaime Sicam bug added bug
2012-06-04 00:46:06 Jaime Sicam description Stack trace: Thread pointer: 0x7fb9b0000990 Attempting backtrace. You can use the following information to find out where mysqld died. If you see no messages after this, something went terribly wrong... stack_bottom = 7fb9c63e7e78 thread_stack 0x40000 /home/user/mysql_binaries/5.5.24/bin/mysqld(my_print_stacktrace+0x35)[0x7d6005] /home/user/mysql_binaries/5.5.24/bin/mysqld(handle_fatal_signal+0x3e1)[0x691651] /lib64/libpthread.so.0(+0xf4a0)[0x7fb9df2804a0] /home/user/mysql_binaries/5.5.24/bin/mysqld[0x61c266] /home/user/mysql_binaries/5.5.24/bin/mysqld(_Z24update_global_user_statsP3THDbl+0x516)[0x61cb76] /home/user/mysql_binaries/5.5.24/bin/mysqld(_Z11mysql_parseP3THDPcjP12Parser_state+0xae)[0x5809fe] /home/user/mysql_binaries/5.5.24/bin/mysqld(_ZN15Query_log_event14do_apply_eventEPK14Relay_log_infoPKcj+0x100b)[0x7554db] /home/user/mysql_binaries/5.5.24/bin/mysqld(_Z26apply_event_and_update_posP9Log_eventP3THDP14Relay_log_info+0x152)[0x518192] /home/user/mysql_binaries/5.5.24/bin/mysqld[0x5216b6] /home/user/mysql_binaries/5.5.24/bin/mysqld(handle_slave_sql+0xc19)[0x5229c9] /lib64/libpthread.so.0(+0x77f1)[0x7fb9df2787f1] /lib64/libc.so.6(clone+0x6d)[0x7fb9de4feccd] Workaround: Disable userstat on one of the instances (SET GLOBAL userstat=0;) How to repeat: Setup Master-Master replication on Percona Server 5.5, enable userstats on both instances. Try to create database on both instances and the server will crash node1: mysql> show global variables like 'userstat'; +---------------+-------+ | Variable_name | Value | +---------------+-------+ | userstat | OFF | +---------------+-------+ 1 row in set (0.00 sec) mysql> set global userstat=1; Query OK, 0 rows affected (0.00 sec) mysql> create database db1; Query OK, 1 row affected (0.00 sec) mysql> create database db2; Query OK, 1 row affected (0.00 sec) mysql> create database db6; ERROR 2006 (HY000): MySQL server has gone away No connection. Trying to reconnect... Connection id: 3 Current database: *** NONE *** Query OK, 1 row affected (0.00 sec) node2: mysql> show global variables like 'userstat'; +---------------+-------+ | Variable_name | Value | +---------------+-------+ | userstat | OFF | +---------------+-------+ 1 row in set (0.00 sec) mysql> create database db3; Query OK, 1 row affected (0.00 sec) mysql> create database db4; Query OK, 1 row affected (0.01 sec) mysql> set global userstat=1; Query OK, 0 rows affected (0.00 sec) mysql> create database db5; Query OK, 1 row affected (0.00 sec) Stack trace: Thread pointer: 0x7fb9b0000990 Attempting backtrace. You can use the following information to find out where mysqld died. If you see no messages after this, something went terribly wrong... stack_bottom = 7fb9c63e7e78 thread_stack 0x40000 /home/user/mysql_binaries/5.5.24/bin/mysqld(my_print_stacktrace+0x35)[0x7d6005] /home/user/mysql_binaries/5.5.24/bin/mysqld(handle_fatal_signal+0x3e1)[0x691651] /lib64/libpthread.so.0(+0xf4a0)[0x7fb9df2804a0] /home/user/mysql_binaries/5.5.24/bin/mysqld[0x61c266] /home/user/mysql_binaries/5.5.24/bin/mysqld(_Z24update_global_user_statsP3THDbl+0x516)[0x61cb76] /home/user/mysql_binaries/5.5.24/bin/mysqld(_Z11mysql_parseP3THDPcjP12Parser_state+0xae)[0x5809fe] /home/user/mysql_binaries/5.5.24/bin/mysqld(_ZN15Query_log_event14do_apply_eventEPK14Relay_log_infoPKcj+0x100b)[0x7554db] /home/user/mysql_binaries/5.5.24/bin/mysqld(_Z26apply_event_and_update_posP9Log_eventP3THDP14Relay_log_info+0x152)[0x518192] /home/user/mysql_binaries/5.5.24/bin/mysqld[0x5216b6] /home/user/mysql_binaries/5.5.24/bin/mysqld(handle_slave_sql+0xc19)[0x5229c9] /lib64/libpthread.so.0(+0x77f1)[0x7fb9df2787f1] /lib64/libc.so.6(clone+0x6d)[0x7fb9de4feccd] Workaround: Disable userstat on one of the instances (SET GLOBAL userstat=0;)
2012-06-04 01:31:42 Stewart Smith percona-server: importance Undecided High
2012-06-06 17:15:55 Raghavendra D Prabhu bug added subscriber Raghavendra D Prabhu
2012-06-07 15:38:09 Michael MacDonald bug added subscriber Michael MacDonald
2012-06-10 10:23:01 Alexey Kopytov nominated for series percona-server/5.5
2012-06-10 10:23:01 Alexey Kopytov bug task added percona-server/5.5
2012-06-10 10:26:45 Alexey Kopytov percona-server/5.5: status New Triaged
2012-06-10 10:28:44 Alexey Kopytov percona-server/5.5: milestone 5.5.25-27.0
2012-06-11 16:37:24 Vadim Tkachenko percona-server/5.5: assignee Vladislav Lesin (vlad-lesin)
2012-06-11 22:02:41 Mike Siekkinen bug added subscriber Mike Siekkinen
2012-06-12 09:57:04 Vlad Lesin branch linked lp:~vlad-lesin/percona-server/bugs-1008609-1008278
2012-06-12 10:40:14 Olaf van Zandwijk bug added subscriber OlafZ
2012-06-13 06:33:20 Stewart Smith percona-server/5.5: milestone 5.5.25-27.0
2012-06-13 17:03:03 Alexey Kopytov percona-server/5.5: milestone 5.5.25-27.0
2012-06-14 14:23:00 Nikolai bug task added percona-xtradb-cluster
2012-06-18 01:49:48 Stewart Smith percona-server/5.5: status Triaged Fix Committed
2012-06-18 01:51:12 Stewart Smith summary Percona Server 5.5.24 crashes on Master-Master replication when userstats are enabled on both instances Percona Server 5.5.24 crashes on userstats=1 with any replication configured
2012-06-18 01:51:20 Stewart Smith percona-server/5.5: importance High Critical
2012-06-18 07:21:49 Stewart Smith percona-server/5.5: status Fix Committed Fix Released
2012-07-06 10:40:32 Mihail Samoylov bug added subscriber Mihail Samoylov
2012-12-04 15:25:54 Raghavendra D Prabhu percona-xtradb-cluster: status New Fix Released